import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { ReactNode, Dispatch, SetStateAction } from 'react';
import { ValidWalletState } from '@crossmint/client-sdk-react-base';
import { UIConfig } from '@crossmint/common-sdk-base';

interface CrossmintSignerProviderProps {
    children: ReactNode;
    walletState: ValidWalletState;
    appearance?: UIConfig;
    setWalletState: Dispatch<SetStateAction<ValidWalletState>>;
}
type CrossmintSignerContext = {
    experimental_getOrCreateWalletWithRecoveryKey: (args: {
        type: "solana-smart-wallet";
        email: string;
    }) => Promise<void>;
};
declare const CrossmintSignerContext: React.Context<CrossmintSignerContext | null>;
declare function CrossmintSignerProvider({ children, setWalletState, appearance }: CrossmintSignerProviderProps): react_jsx_runtime.JSX.Element;
declare function useCrossmintSigner({ enabled }?: {
    enabled?: boolean;
}): CrossmintSignerContext;

export { CrossmintSignerContext, CrossmintSignerProvider, useCrossmintSigner };
